Bug 429488 - execute "ksh -R file", Segmentation Fault will occur
execute "ksh -R file", Segmentation Fault will occur
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ksh (Show other bugs)
5.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Tomas Smetana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-20 20:57 EST by chuli
Modified: 2010-10-22 17:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:32:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
This is the patch for fixing this bug. (501 bytes, patch)
2008-01-20 20:57 EST, chuli
no flags Details | Diff

  None (edit)
Description chuli 2008-01-20 20:57:04 EST
Description of problem:
Use ksh with " -R file" but without scriptfile followed, such as execute "ksh -
R file", Segmentation Fault will occur.

Version-Release number of selected component (if applicable):
ksh-20060214-1.4

How reproducible:
100%

Steps to Reproduce:
1.ksh -R file
 
Actual results:
Segmentation Fault 

Expected results:
Usage: ksh -R requires scriptname
Comment 1 chuli 2008-01-20 20:57:04 EST
Created attachment 292309 [details]
This is the patch for fixing this bug.
Comment 2 Tomas Smetana 2008-01-21 04:21:42 EST
Thanks for the patch.
Comment 3 RHEL Product and Program Management 2008-06-02 16:23:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 20 errata-xmlrpc 2009-01-20 15:32:39 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0058.html

Note You need to log in before you can comment on or make changes to this bug.